/**
 * 统计分析接口
 */
import request from '@/utils/request'

// 按事件类型统计工单
export function getCaseStatisticsByType(params) {
  return request({
    url: '/caseStatistic/eorcStatistic',
    method: 'get',
    params
  })
}
// 按事件来源统计工单
export function getCaseStatisticsBySource(params) {
  return request({
    url: '/caseStatistic/sourceStatistic',
    method: 'get',
    params
  })
}
// 按满意度统计工单
export function getCaseStatisticsByStatisfied(params) {
  return request({
    url: '/caseStatistic/statisfiedStatistics',
    // url: '/caseStatistic/sourceStatistic',
    method: 'get',
    params
  })
}
// 工单总情况统计
export function getCaseStatisticsAll(params) {
  return request({
    url: '/caseStatistic/stateStatistic',
    method: 'get',
    params
  })
}
// 工单年统计
export function getCaseStatisticsByYear(params) {
  return request({
    url: '/caseStatistic/yearStatistic',
    method: 'get',
    params
  })
}
// 工单月统计
export function getCaseStatisticsByMonth(params) {
  return request({
    url: '/caseStatistic/monthStatistic',
    method: 'get',
    params
  })
}
// 部门效能统计
export function deptStatistics(params) {
  return request({
    url: '/urge/departmentEffectiveStatistics',
    method: 'get',
    params
  })
}
// 坐席效能统计
export function seatStatistics(params) {
  return request({
    // url: '/urge/departmentEffectiveStatistics',
    url: '/urge/seatEffectiveStatistics',
    method: 'get',
    params
  })
}
// 签出置忙统计
export function outBusyStatistics(params) {
  return request({
    url: '/callStatics/outBusyStatistics',
    method: 'get',
    params
  })
}
// 呼入呼出统计
export function callInOutStatistics(params) {
  return request({
    url: '/callStatics/callInOutStatistics',
    method: 'get',
    params
  })
}
// 呼叫满意度统计
export function callSatisfiedStatistics(params) {
  return request({
    url: '/callStatics/statisfiedStatistics',
    method: 'get',
    params
  })
}
// 接通率统计
export function callSuccessStatistics(params) {
  return request({
    // url: '/callStatics/statisfiedStatistics',
    url: '/callStatics/callSuccessStatistics',
    method: 'get',
    params
  })
}
// 按小时统计话务量统计
export function callStatisticsByHour(params) {
  return request({
    url: '/callStatics/callByHour',
    method: 'get',
    params
  })
}

